### Method

# Gtk StyleContextadd_provider

deprecated: 4.10

#### Declaration [src]

    void
    gtk_style_context_add_provider (
      GtkStyleContext* context,
      GtkStyleProvider* provider,
      guint priority
    )

#### Description [src]

Adds a style provider to `context`, to be used in style construction.

Note that a style provider added by this function only affects the style of the widget to which `context` belongs. If you want to affect the style of all widgets, use `gtk_style_context_add_provider_for_display()`.

Note: If both priorities are the same, a `GtkStyleProvider` added through this function takes precedence over another added through `gtk_style_context_add_provider_for_display()`.

Deprecated since: 4.10

Use style classes instead.

#### Parameters

`provider`

  Type: `GtkStyleProvider`

  A `GtkStyleProvider`

  The data is owned by the caller of the method.

`priority`

  Type: `guint`

  The priority of the style provider. The lower it is, the earlier it will be used in the style construction. Typically this will be in the range between `GTK_STYLE_PROVIDER_PRIORITY_FALLBACK` and `GTK_STYLE_PROVIDER_PRIORITY_USER`.